> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an inventory file record (filename + jobs)

> Update an inventory file record (filename + jobs)



## OpenAPI

````yaml /openapi/openapi_location_admin.json put /commerce/vendors/{vendorCode}/inventory-files/{id}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_ADMIN">
                <h2>LOCATION ADMINISTRATION</h2>
                <p>The Location and Location Groups APIs enable tenants to associate a physical address with product inventory,
                    provide a store finder for in-store pickup, or both and manage these locations at individual and group levels. See the
                    <a href="/pages/locations">Location user guides</a>
                    for information about the related feature in the Unified Commerce Admin.</p>
                <p>The <strong>Location Admin</strong>
                    resource
                    allows information about the individual locations to be accessed and edited, including creating new
                    locations.</p>
                <p>Use the <strong>Location Group</strong> and <strong>Location Group Configuration</strong> resources to manage groups, or sets of similar fulfillment locations that are bundled together
                    to improve efficiency of managing configurations based on catalogs, custom fulfillment flows,
                    available carrier options, and so forth.</p>
                <p>Use the <strong>Location Types</strong> resource to manage the types of locations your tenant maintains, such as
                    warehouses,
                    physical storefronts, and kiosks.</p>
                <p>Use the <strong>Location Settings</strong> resource to to define the available usages; or the locations and
                        location types that interact
                        with a specified site.</p>
            </div>
  title: Location Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/vendors/{vendorCode}/inventory-files/{id}:
    put:
      tags:
        - Vendor
      summary: Update an inventory file record (filename + jobs)
      description: Update an inventory file record (filename + jobs)
      parameters:
        - in: path
          name: vendorCode
          required: true
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VendorInventoryFile'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorInventoryFile'
            text/json:
              schema:
                $ref: '#/components/schemas/VendorInventoryFile'
            text/plain:
              schema:
                $ref: '#/components/schemas/VendorInventoryFile'
          description: OK
components:
  schemas:
    VendorInventoryFile:
      properties:
        filename:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        jobs:
          items:
            $ref: '#/components/schemas/InventoryFileJob'
          nullable: true
          type: array
        status:
          nullable: true
          type: string
        uploadDatetime:
          format: date-time
          type: string
        uploadedBy:
          nullable: true
          type: string
        vendorCode:
          nullable: true
          type: string
      type: object
    InventoryFileJob:
      properties:
        errorMessage:
          nullable: true
          type: string
        jobId:
          format: int32
          nullable: true
          type: integer
        locationCode:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````